LibreOffice: XSimpleTabController Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XSimpleTabController Interface Reference

specifies the basic operations for a tab controller, but does not require XControl as type of tabs. More...

`import "XSimpleTabController.idl";`

Inheritance diagram for XSimpleTabController:

## Public Member Functions
long | insertTab ()
| create a new tab and return a unique ID, which can be used further to address this tab by using other methods of this interface.
void | removeTab ([in] long ID) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| remove a tab with the given ID.
void | setTabProps ([in] long ID, [in] sequence< com::sun::star::beans::NamedValue > Properties) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| change some properties of the specified tab.
sequence< com::sun::star::beans::NamedValue > | getTabProps ([in] long ID) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| retrieve the set of properties for the specified tab.
void | activateTab ([in] long ID) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| activate the specified tab.
long | getActiveTabID ()
| return the unique ID of the current active tab.
void | addTabListener ([in] XTabListener Listener)
| register listener for inserting/removing tabs and changing their properties.
void | removeTabListener ([in] XTabListener Listener)
| unregister listener for inserting/removing tabs and changing their properties.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies the basic operations for a tab controller, but does not require XControl as type of tabs.

## Member Function Documentation

## ◆ activateTab()

void activateTab | ( | [in] long | ID | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

activate the specified tab.

The new tab will be activated and all listener will get an event describing this. Of course there will be an event too, which notifies listener about the deactivation of the last active tab.

Parameters

  ID | the ID of the new active tab.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the specified ID isn't used inside this tab controller.

## ◆ addTabListener()

void addTabListener | ( | [in] XTabListener | Listener | ) |

register listener for inserting/removing tabs and changing their properties.

Parameters

  Listener | the listener to register.

## ◆ getActiveTabID()

long getActiveTabID | ( |  | ) |

return the unique ID of the current active tab.

Returns
  [long] the ID of the active tab.

## ◆ getTabProps()

sequence< com::sun::star::beans::NamedValue > getTabProps | ( | [in] long | ID | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

retrieve the set of properties for the specified tab.

Parameters

  ID | the ID of the tab.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the specified ID isn't used inside this tab controller.

## ◆ insertTab()

long insertTab | ( |  | ) |

create a new tab and return a unique ID, which can be used further to address this tab by using other methods of this interface.

Returns
  [long a unique ID for this new tab.

## ◆ removeTab()

void removeTab | ( | [in] long | ID | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

remove a tab with the given ID.

Parameters

  ID | the ID of the tab, which should be removed.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the specified ID isn't used inside this tab controller.

## ◆ removeTabListener()

void removeTabListener | ( | [in] XTabListener | Listener | ) |

unregister listener for inserting/removing tabs and changing their properties.

Parameters

  Listener | the listener to unregister.

## ◆ setTabProps()

void setTabProps | ( | [in] long | ID,
|  | [in] sequence< com::sun::star::beans::NamedValue > | Properties )
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

change some properties of the specified tab.

Parameters

  Properties | Such properties can be:
  Property | Type | Description
  Title | string | the title of the tab, which is shown at the UI.
  Position | int | describe the order of this tab in relation to all other tabs inside this control.

Attention
  Not all properties must be supported by all implementations of this interface. Of course some important ones should be handled by every implementation ... as e.g. "Title".

Parameters

  ID | the ID of the tab, which should be changed.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the specified ID isn't used inside this tab controller.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XSimpleTabController.idl